#!/bin/sh
# 设置路径
ROOT_PATH="$(cd `dirname $0`; pwd)";
echo $ROOT_PATH;
RESOURCE_PATH="$ROOT_PATH/resources" ;
SQL_FILE=$1;

if [ -x /sbin/runuser ]
then
    SU=runuser
else
    SU=su
fi


function main() {
    # 停止dspam服务
    /sbin/service umail_dspam stop >/dev/null 2>&1;
    local PGSQL_PATH="/usr/local/u-mail/service/pgsql-9.4/bin/psql";

    # 删除并重建dspam数据库
    $SU -l umail_postgres -c "${PGSQL_PATH} -U umail_postgres -d postgres  < ${RESOURCE_PATH}/update_dspam.sql" ;

    # 重新导入数据
    local CUSTOM_FILE_PATH="/usr/local/u-mail/config/custom.conf" ;
    VAR_PGSQL_UMAIL_PASS=`awk '$1=="pg_pass" {print $3}' ${CUSTOM_FILE_PATH}`
    PGPASSWORD=${VAR_PGSQL_UMAIL_PASS} ${PGSQL_PATH} -U umail  -d dspam -h 127.0.0.1 -f ${SQL_FILE};

    # 启动dspam服务
    /sbin/service umail_dspam start >/dev/null 2>&1;
}


############################################################
# 程序执行

main ;
exit 0 ;

